QueryManager
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.xmlstorage.exist

## Class QueryManager

- java.lang.Object
- - org.gcube.informationsystem.collector.impl.xmlstorage.exist.XMLStorage
  - - org.gcube.informationsystem.collector.impl.xmlstorage.exist.QueryManager

-     public class QueryManager
      extends XMLStorage

  Query Manager
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.informationsystem.collector.impl.xmlstorage.exist.XMLStorage

      `XMLStorage.XMLStorageNotAvailableException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceSet` | `executeXQuery(XQuery query)` Executes the given XQuery on the current collection or on the root collection if any was previously loaded

    - ### Methods inherited from class org.gcube.informationsystem.collector.impl.xmlstorage.exist.XMLStorage

      `collectionExists, createCollection, deleteCollection, deleteResource, executeXPathQuery, getStatus, initialize, initialize, isLocked, listAllCollectionResourceIDs, loadAllCollections, printResourcesIDs, resourceExists, retrieveResourceContent, setStatus, shutdown, storeResource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryManager

          public QueryManager()

  - ### Method Detail

    - #### executeXQuery

          public ResourceSet executeXQuery(XQuery query)
                                    throws XMLStorage.XMLStorageNotAvailableException

      Executes the given XQuery on the current collection or on the root collection if any was previously loaded
      Parameters:
        `query` - the XQuery to run
      Returns:
        a formatted resultset
      Throws:
        `XMLStorageNotAvailableException`
        `XMLStorage.XMLStorageNotAvailableException`